Bug 292851 - Review Request: climm - Text/line based ICQ client with many features
Review Request: climm - Text/line based ICQ client with many features
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-09-17 04:53 EDT by Jan ONDREJ
Modified: 2007-11-30 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-09-19 03:20:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
kevin: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Jan ONDREJ 2007-09-17 04:53:20 EDT
Spec URL: http://www.salstar.sk/pub/fedora/SPECS/climm.spec
SRPM URL: http://www.salstar.sk/pub/fedora/SRPMS/7/climm-0.6-1.fc7.src.rpm
climm is a portable, small, yet powerful console based ICQ client. It
supports password changing, auto-away, creation of new accounts, searching,
file transfer, acknowledged messages, SMS, client identification, logging, 
scripting, transcoding, multi-UIN usage and other features that makes it   
a very complete yet simple internationalized client supporting the current 
ICQ v8 protocol.
It now also supports the XMPP protocol as well as OTR encrypted messages.

It has leading support for (ICQ2002+/ICQ Lite/ICQ2go) unicode encoded
messages unreached by other ICQ clones.

A lot of other ICQ clients are based in spirit on climm, nevertheless
climm is still _the_ console based ICQ client.
Comment 1 Jan ONDREJ 2007-09-17 04:58:37 EDT
rpmlint says:
climm.src:12: W: unversioned-explicit-obsoletes micq
climm.i386: W: spurious-executable-perm
climm.i386: W: obsolete-not-provided micq

Do I need to make explicit Obsoletes when I need to replace micq with climm?
Comment 2 Jan ONDREJ 2007-09-17 04:59:22 EDT
*** Bug 256341 has been marked as a duplicate of this bug. ***
Comment 3 Mamoru TASAKA 2007-09-17 05:16:20 EDT
I will review later.

(In reply to comment #1)

> Do I need to make explicit Obsoletes when I need to replace micq with climm?
Yes, and also having Provides: is preferable.
Check the section "Renaming/replacing existing packages" of
Comment 4 Jan ONDREJ 2007-09-17 05:46:21 EDT
OK, package updated. I am sorry, I have forgotten to update release number.
Same URLs contains new package/spec.

I am unable to test it with mock now, because my mirror deleted all it's content
due to a problem on master mirror. I will try them later.
Comment 5 Mamoru TASAKA 2007-09-17 09:52:46 EDT
For 0.6-1

* gloox support
  - Well, the new spec file contains the following lines
    in the description:
It now also supports the XMPP protocol as well as OTR encrypted messages.
    However the build log says
checking checking for variadic macro support... yes
checking whether to enable XMPP chat network (BETA)... no
checking whether to enable MSN chat network (EXPERIMENTAL BROKEN INCOMPLETE)... no
    configure.ac says that supporting XMPP needs gloox library,
    which does not seem to be available on fedora.
   368    else
   369      PKG_CHECK_MODULES(XMPP, gloox, ac_use_xmpp=yes, ac_use_xmpp=no)
   370    fi
Comment 6 Jan ONDREJ 2007-09-17 12:22:59 EDT
OK, updated description, before gloox will be a part of Fedora.

I have my first experimental gloox package in my repository, request review will
follow after some testing.
Comment 7 Mamoru TASAKA 2007-09-17 12:38:39 EDT

    This package (climm) is APPROVED by me

When rebuild of climm is done for devel repo, please make micq
package orphaned on devel repo. The related document is
(this is the first time I read the above URL since the retirement
 procedure changed)
Comment 8 Jan ONDREJ 2007-09-17 12:57:51 EDT
New Package CVS Request
Package Name: climm
Short Description: Text/line based ICQ client with many features
Owners: ondrejj
Branches: FC-6 F-7
Cvsextras Commits: yes
Comment 9 Kevin Fenzi 2007-09-17 16:42:14 EDT
cvs done.
Comment 10 Mamoru TASAKA 2007-09-19 03:06:32 EDT
Please close this bug when rebuild is done.
Comment 11 Jan ONDREJ 2007-09-19 03:20:14 EDT

Note You need to log in before you can comment on or make changes to this bug.